# Uses of Class
org.apache.zookeeper.server.quorum.Leader

Packages that use Leader
Package
Description
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.quorum.flexible

## Uses of Leader in org.apache.zookeeper.server.quorum

Fields in org.apache.zookeeper.server.quorum declared as Leader
Modifier and Type
Field
Description
`Leader`
QuorumPeer.`leader`
Methods in org.apache.zookeeper.server.quorum that return Leader
Modifier and Type
Method
Description
`Leader`
LeaderZooKeeperServer.`getLeader()`
`protected Leader`
QuorumPeer.`makeLeader(FileTxnSnapLog logFactory)`
Methods in org.apache.zookeeper.server.quorum with parameters of type Leader
Modifier and Type
Method
Description
`protected void`
QuorumPeer.`setLeader(Leader newLeader)`
`protected void`
LeaderZooKeeperServer.`unregisterJMX(Leader leader)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type Leader
Modifier
Constructor
Description
``
`LeaderBean(Leader leader, ZooKeeperServer zks)`

## Uses of Leader in org.apache.zookeeper.server.quorum.flexible

Methods in org.apache.zookeeper.server.quorum.flexible with parameters of type Leader
Modifier and Type
Method
Description
`boolean`
QuorumOracleMaj.`revalidateOutstandingProp(Leader self, ArrayList<Leader.Proposal> outstandingProposal, long lastCommitted)`
`default boolean`
QuorumVerifier.`revalidateOutstandingProp(Leader self, ArrayList<Leader.Proposal> outstandingProposal, long lastCommitted)`